CREATE OR REPLACE TRIGGER LOG_FIN_AJCTRECEBER
AFTER DELETE OR INSERT OR UPDATE
ON AJCTRECEBER FOR EACH ROW
DECLARE
  V_USUARIO      VARCHAR2(40);
  V_TIPO         VARCHAR2(1);
  V_ITPESQ       VARCHAR2(40);
  V_DESC         VARCHAR2(300);
  V_CDFILLOGOPER VARCHAR2(4);
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
 BEGIN
   V_CDFILLOGOPER := '';
   IF DELETING THEN
      V_TIPO   := '3';
      V_DESC   := 'Filial '         || :OLD.CDFILIAL                           ||
                  ' Lancamento '    || :OLD.NRLANCTONF                         ||
                  ' Nr. Sequencial '|| :OLD.NRSEQVENREC                        ||
                  ' Nr. Parcela '   || :OLD.NRPARCELAREC                       ||
                  ' Dt. Ajuste '    || TO_CHAR(:OLD.DTAJUSTEREC, 'DD/MM/YYYY') ||
                  ' Codigo '        || :OLD.CDAJUCTREC                         ||
                  ' Descricao '     || :OLD.DSAJUSTEREC                        ||
                  ' Valor '         || TO_CHAR(:OLD.VRAJUSTEREC);

      V_ITPESQ       := :OLD.CDFILIAL||:OLD.NRLANCTONF|| '/' ||
                        :OLD.NRSEQVENREC||:OLD.NRPARCELAREC;
      V_CDFILLOGOPER := :OLD.CDFILIAL;
   ELSE
      IF INSERTING THEN
         V_TIPO := '1';
         V_DESC   := 'Filial '         || :NEW.CDFILIAL                           ||
                     ' Lancamento '    || :NEW.NRLANCTONF                         ||
                     ' Nr. Sequencial '|| :NEW.NRSEQVENREC                        ||
                     ' Nr. Parcela '   || :NEW.NRPARCELAREC                       ||
                     ' Dt. Ajuste '    || TO_CHAR(:NEW.DTAJUSTEREC, 'DD/MM/YYYY') ||
                     ' Cdigo '        || :NEW.CDAJUCTREC                         ||
                     ' Descricao '     || :NEW.DSAJUSTEREC                        ||
                     ' Valor '         || TO_CHAR(:NEW.VRAJUSTEREC);

         V_ITPESQ       := :NEW.CDFILIAL||:NEW.NRLANCTONF|| '/' ||
                           :NEW.NRSEQVENREC||:NEW.NRPARCELAREC;
         V_CDFILLOGOPER := :NEW.CDFILIAL;
      END IF;
   END IF;

   IF V_TIPO <> '0' THEN
      NMUSUARIO(V_USUARIO);
      WEBTUNNING(V_DSREMOTEADDR,
                 V_DSREMOTEHOST,
                 V_DSSERVERRDM,
                 V_DSSERVMETHOD,
                 V_DSREMOTEOPER);


      IF NOT V_DESC IS NULL THEN
         IF NOT V_USUARIO IS NULL THEN
            INSERT INTO LOGOPERA
               (NMTABELA, DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO, CDFILLOGOPER,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
            VALUES
               ('AJCTRECEBER', SYSDATE, V_USUARIO, V_TIPO,  V_ITPESQ, V_DESC, V_CDFILLOGOPER,
                V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVERRDM, V_DSSERVMETHOD, V_DSREMOTEOPER);
         END IF;
      END IF;
   END IF;
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('LOG_FIN_AJCTRECEBER','5.09.000'); END;
/